function [answer] = empty_core_sum_game (players, coalitions, coalitions_matrix, summation_game)

eps=exp(-10);

f = ones(players,1);

options = optimset('Display','off');

[x,~,exitflag] = linprog (f, -coalitions_matrix(1:(coalitions-1),:), -summation_game(1:(coalitions-1)),[],[],[],[],[],options); 

if exitflag == -2 
    
    answer = 0;
    
elseif exitflag == 1 
    
    if sum(x) > summation_game(coalitions) + eps
    
        answer = 0;
    
    else
    
        answer = 1;
    
        disp ('The core of the sum of the individual issues is non-empty');
    
        x (players,1) = x (players,1) + (summation_game(coalitions) - sum(x));
    
        disp ('One possible element is:');
    
        disp (x);
        
    end
    
else
    
    s1 = 'Something went wrong';

    s2 = '. The exit flag value was';
    
    s3=num2str(exitflag);
    
    display_string = strcat(s1, s2, 32, s3);
        
    display (display_string);
        
end





