function  [justify,justification_matrix] = empty_for_subset (subset, players, coalitions, issues, coalitions_matrix, characteristic_matrix)

objective = zeros (players*issues*players,1);

objective(1,1) = 1;

relevant_coalitions = (coalitions+1)/2 - 1;

inequality_matrix = zeros (relevant_coalitions*issues*players,players*issues*players);

inequality_vector = zeros (relevant_coalitions*issues*players,1);

for i=1:players
    
    relevant_coalitions_matrix = zeros(relevant_coalitions,players);

    relevant_characteristic_matrix = zeros(relevant_coalitions,issues);
    
    relevant_index = 1;    

    for k=1:(coalitions-1)

        if coalitions_matrix(k,i)==1
        
            relevant_coalitions_matrix(relevant_index,:) = coalitions_matrix(k,:);
        
            relevant_characteristic_matrix(relevant_index,:) = characteristic_matrix(k,:);
            
            relevant_index = relevant_index + 1;
        
        end
        
    end
    
    inequality_vector (((i-1)*relevant_coalitions*issues)+1:(i*relevant_coalitions*issues)) = reshape(relevant_characteristic_matrix,relevant_coalitions*issues,1);
    
    adjusted_relevant_coalitions_matrix=relevant_coalitions_matrix;

    for j=2:issues
    
        adjusted_relevant_coalitions_matrix=blkdiag(adjusted_relevant_coalitions_matrix,relevant_coalitions_matrix);
    
    end
    
    inequality_matrix (((i-1)*relevant_coalitions*issues)+1:(i*relevant_coalitions*issues),((i-1)*players*issues)+1:i*players*issues) = adjusted_relevant_coalitions_matrix;

end

equality_matrix = zeros ((issues*players)+(players*(players-1))+((sum(subset)-1)*issues*players),players*issues*players);

players_ones = ones(1,players);

for l=1:(issues*players)
    
    equality_matrix (l,((l-1)*players)+1:l*players) = players_ones;
    
end

Block = repmat (eye(players),1,issues);

Big_block = Block;

for i=2:(players-1)
   
   Big_block = blkdiag (Big_block,Block); 
    
end

equality_matrix ((issues*players)+1:(issues*players)+(players*(players-1)),1:(players*issues*(players-1))) = Big_block;

Ver_block = -Block;

for i=2:(players-1)
    
   Ver_block = vertcat (Ver_block,-Block);
    
end

equality_matrix ((issues*players)+1:(issues*players)+(players*(players-1)),(players*issues*(players-1))+1:players*issues*players) = Ver_block;

equality_vector = zeros ((issues*players)+(players*(players-1))+((sum(subset)-1)*issues*players),1);

for j=1:players
    
    equality_vector (((j-1)*issues+1):(j*issues),1)= characteristic_matrix(coalitions,:)';
    
end

index = (issues*players)+(players*(players-1)) + 1;

first=1;
        
while (subset(first) == 0)
           
    first = first + 1; 
       
end
        
for i=(first+1):players
   
    if (subset(i) == 1)
    
        for j=1:issues
            
            for l=1:players
           
                additional_constraint = zeros (1,players*players*issues);
                
                additional_constraint (1,((first-1)*players*issues) + ((j-1)*players) + l) = 1;
                
                additional_constraint (1,((i-1)*players*issues) + ((j-1)*players) + l) = -1;

                equality_matrix (index,:) = additional_constraint;
                
                index = index + 1;
                    
            end
            
        end
        
    end
    
end
          
options = optimset('Display','off');

[justification_vector,~,exitflag] = linprog(objective,-inequality_matrix,-inequality_vector,equality_matrix,equality_vector,[],[],[],options);

if exitflag==1
    
    justify = 1;

    justification_matrix = reshape(justification_vector,players*issues,players);

elseif ((exitflag == -2) || (exitflag == -5))
    
    justify = 0;
    
    justification_matrix = [];
    
else
    
    justify = 0;
    
    s1 = 'Something went wrong in the justification calculation of subset';

    s2 = num2str(subset);
    
    s3 = '. The exit flag value was';
    
    s4 = num2str(exitflag);
    
    display_string = strcat(s1, 32, s2, 32, s3, 32, s4);
    
    disp(display_string);
    
end
        
    
    

