function [answer] = empty_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix)

objective = zeros (players*issues*players,1);

objective(1,1) = 1;

relevant_coalitions = (coalitions+1)/2 - 1;

inequality_matrix = zeros (relevant_coalitions*issues*players,players*issues*players);

inequality_vector = zeros (relevant_coalitions*issues*players,1);

for i=1:players
    
    relevant_coalitions_matrix = zeros(relevant_coalitions,players);

    relevant_characteristic_matrix = zeros(relevant_coalitions,issues);
    
    relevant_index = 1;    

    for k=1:(coalitions-1)

        if coalitions_matrix(k,i)==1
        
            relevant_coalitions_matrix(relevant_index,:) = coalitions_matrix(k,:);
        
            relevant_characteristic_matrix(relevant_index,:) = characteristic_matrix(k,:);
            
            relevant_index = relevant_index + 1;
        
        end
        
    end
    
    inequality_vector (((i-1)*relevant_coalitions*issues)+1:(i*relevant_coalitions*issues)) = reshape(relevant_characteristic_matrix,relevant_coalitions*issues,1);
    
    adjusted_relevant_coalitions_matrix=relevant_coalitions_matrix;

    for j=2:issues
    
        adjusted_relevant_coalitions_matrix=blkdiag(adjusted_relevant_coalitions_matrix,relevant_coalitions_matrix);
    
    end
    
    inequality_matrix (((i-1)*relevant_coalitions*issues)+1:(i*relevant_coalitions*issues),((i-1)*players*issues)+1:i*players*issues) = adjusted_relevant_coalitions_matrix;

end

equality_matrix = zeros ((issues*players)+(players*(players-1)),players*issues*players);

players_ones = ones(1,players);

for l=1:(issues*players)
    
    equality_matrix (l,((l-1)*players)+1:l*players) = players_ones;
    
end

Block = repmat (eye(players),1,issues);

Big_block = Block;

for i=2:(players-1)
   
   Big_block = blkdiag (Big_block,Block); 
    
end

equality_matrix ((issues*players)+1:(issues*players)+(players*(players-1)),1:(players*issues*(players-1))) = Big_block;

Ver_block = -Block;

for i=2:(players-1)
    
   Ver_block = vertcat (Ver_block,-Block);
    
end

equality_matrix ((issues*players)+1:(issues*players)+(players*(players-1)),(players*issues*(players-1))+1:players*issues*players) = Ver_block;

equality_vector = zeros ((issues*players)+(players*(players-1)),1);

for j=1:players
    
    equality_vector (((j-1)*issues+1):(j*issues),1)= characteristic_matrix(coalitions,:)';
    
end

options = optimset('Display','off');

[x,~,exitflag] = linprog(objective,-inequality_matrix,-inequality_vector,equality_matrix,equality_vector,[],[],[],options);

if ((exitflag == -2) || (exitflag == -5))
    
    answer = 0;
    
elseif exitflag == 1
    
    answer = 1;
    
    disp ('The multi-core is non-empty');
    
    justification_array = zeros (players,players,issues);
    
    aggregate_payoff = Block*(x(1:players*issues)); 
    
    disp ('One possible element is:');
    
    disp (aggregate_payoff);
    
    for i=1:players
       
        justification_array(i,:,:) = reshape(x((i-1)*players*issues+1:i*players*issues),players,issues);
        
        s5 = 'A justification matrix for Player';
        
        s6 = num2str(i);
    
        s7 = ':';
    
        display_string = strcat(s5, 32, s6, s7);
        
        disp (display_string);
        
        just = zeros (players,issues);
        
        for j=1:players
            
            for k=1:issues
                
                just(j,k) = justification_array(i,j,k);
                
            end
            
        end
        
        disp (just);
    
    end
    
else
    
    answer = 0;
    
    s1 = 'Something went wrong';

    s2 = '. The exit flag value was';
    
    s3=num2str(exitflag);
    
    display_string = strcat(s1, s2, 32, s3);
        
    display (display_string);
        
end












