function  [justify,justification_vector] = find_comp_justification (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector)

objective_coefficients = zeros(players*players*issues,1);

objective_coefficients(1,1) = 1;

relevant_coalitions = (coalitions+1)/2;

relevant_coalitions_matrices = zeros(players,relevant_coalitions*issues,players*issues);

characteristic_vector = zeros(relevant_coalitions*issues,players);

equality_constraints_matrices = zeros(players,players+issues,players*issues);

equality_constraints_vector = zeros(players+issues,players);

for i=1:players

    [output_1,output_2,output_3,output_4] = construct_matrices (i,players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);

    relevant_coalitions_matrices (i,:,:) = output_1;
    
    characteristic_vector (:,i) = output_2;
    
    equality_constraints_matrices (i,:,:) = output_3;
    
    equality_constraints_vector (:,i) = output_4;
    
end

multi_relevant_coalitions = squeeze(relevant_coalitions_matrices (1,:,:));

multi_char_vector = squeeze(characteristic_vector (:,1));

multi_equality_constraints = squeeze(equality_constraints_matrices (1,:,:));

multi_equality_vector = squeeze(equality_constraints_vector (:,1));

for i=2:players
    
   multi_relevant_coalitions = blkdiag(multi_relevant_coalitions,squeeze(relevant_coalitions_matrices (i,:,:)));
   
   multi_char_vector = vertcat (multi_char_vector, squeeze(characteristic_vector (:,i)));
   
   multi_equality_constraints = blkdiag(multi_equality_constraints,squeeze(equality_constraints_matrices (i,:,:)));
   
   multi_equality_vector = vertcat (multi_equality_vector, squeeze(equality_constraints_vector (:,i)));
    
end    

for k=1:coalitions

    if ((sum(coalitions_matrix(k,:))>1)&&(sum(coalitions_matrix(k,:))<players))
       
        first=1;
        
        while (coalitions_matrix(k,first)==0)
           
           first = first + 1; 
            
        end
        
        for i=(first+1):players
            
            if (coalitions_matrix(k,i)==1)
                
                for j=1:issues
                   
                    additional_constraint = zeros (1,players*players*issues);
                    
                    start_first = ((first-1)*players*issues) + ((j-1)*players) + 1;
                    
                    end_first = ((first-1)*players*issues) + (j*players);
                    
                    additional_constraint (1,start_first:end_first) = coalitions_matrix(k,:) ;
                    
                    start_second = ((i-1)*players*issues) + ((j-1)*players) + 1;
                    
                    end_second = ((i-1)*players*issues) + (j*players);
                    
                    additional_constraint (1,start_second:end_second) = -coalitions_matrix(k,:) ;
                    
                    multi_equality_constraints = vertcat (multi_equality_constraints,additional_constraint);
                    
                    multi_equality_vector = [squeeze(multi_equality_vector);0];
                    
                end
            end
            
        end 
        
    end
    
end

options = optimset('Display','off');

[justification_vector,~,exitflag] = linprog(objective_coefficients,-multi_relevant_coalitions,-multi_char_vector,multi_equality_constraints,multi_equality_vector,[],[],[],options);

if exitflag==1
    
    justify = 1;

elseif exitflag==-2
    
    justify = 0;
    
else
    
    s1 = 'Something went wrong. The exit flag value was';

    s2=num2str(exitflag);
    
    display_string = strcat(s1, 32, s2);
        
    error(0, display_string);
    
end
        
    
    

