function  [justify,justification_matrix] = find_justification (justifier, players, coalitions, issues, coalitions_matrix, characteristic_matrix, aggregate_payoff_vector)

objective_coefficients = zeros(players*issues,1);

objective_coefficients(1,1) = 1;

relevant_coalitions = (coalitions+1)/2;

relevant_coalitions_matrix = zeros(relevant_coalitions,players);

relevant_characteristic_matrix = zeros(relevant_coalitions,issues);

relevant_index=1;

for k=1:coalitions

    if coalitions_matrix(k,justifier)==1
        
        relevant_coalitions_matrix(relevant_index,:) = coalitions_matrix(k,:);
        
        relevant_characteristic_matrix(relevant_index,:) = characteristic_matrix(k,:);
        
        relevant_index=relevant_index+1;
        
    end
    
end

characteristic_vector = reshape(relevant_characteristic_matrix,relevant_coalitions*issues,1);

adjusted_relevant_coalitions_matrix=relevant_coalitions_matrix;

for j=2:issues
    
    adjusted_relevant_coalitions_matrix=blkdiag(adjusted_relevant_coalitions_matrix,relevant_coalitions_matrix);
    
end

equality_constraints_vector = [aggregate_payoff_vector;(characteristic_matrix(coalitions,:))'];

equality_constraints_matrix =  eye(players);

for i=2:issues
    
    equality_constraints_matrix = horzcat(equality_constraints_matrix,eye(players));
    
end

efficiency_matrix = zeros(issues,players*issues);

for j=1:issues
    
    efficiency_matrix (j,(j-1)*players+1:j*players) = ones(1,players)';
    
end

equality_constraints_matrix = vertcat(equality_constraints_matrix,efficiency_matrix);

options = optimset('Display','off');

[justification_vector,~,exitflag] = linprog(objective_coefficients,-adjusted_relevant_coalitions_matrix,-characteristic_vector,equality_constraints_matrix,equality_constraints_vector,[],[],[],options);

if exitflag==1
    
    justify = 1;

    justification_matrix = reshape(justification_vector,players,issues);

elseif exitflag==-2
    
    justify = 0;
    
    justification_matrix = [];
    
else
    
    s1 = 'Something went wrong in the justification calculation of Player';

    s2 = num2str(justifier);
    
    s3 = '. The exit flag value was';
    
    s4=num2str(exitflag);
    
    display_string = strcat(s1, 32, s2, 32, s3, 32, s4);
    
    error(0, display_string);
    
end
        
    
    

