function  [justify,justification_vector] = find_weak_3a_just_empty (players, coalitions, issues, coalitions_matrix, characteristic_matrix)

objective_coefficients = zeros(players*players*issues,1);

objective_coefficients(1,1) = 1;

relevant_coalitions = (coalitions+1)/2;

relevant_coalitions_matrices = zeros(players,relevant_coalitions*issues,players*issues);

characteristic_vector = zeros(relevant_coalitions*issues,players);

equality_constraints_matrices = zeros(players,players+issues,players*issues);

equality_constraints_vector = zeros(players+issues,players);

for i=1:players-1

    [output_1,output_2,output_3,output_4] = construct_matrices_empty (i,players, coalitions, issues, coalitions_matrix, characteristic_matrix);

    relevant_coalitions_matrices (i,:,:) = output_1;
    
    characteristic_vector (:,i) = output_2;
    
    equality_constraints_matrices (i,:,:) = output_3;
    
    equality_constraints_vector (:,i) = output_4;
    
end

multi_relevant_coalitions = squeeze(relevant_coalitions_matrices (1,:,:));

multi_char_vector = squeeze(characteristic_vector (:,1));

multi_equality_constraints = squeeze(equality_constraints_matrices (1,:,:));

multi_equality_vector = squeeze(equality_constraints_vector (:,1));

for i=2:players-1
    
   multi_relevant_coalitions = blkdiag(multi_relevant_coalitions,squeeze(relevant_coalitions_matrices (i,:,:)));
   
   multi_char_vector = vertcat (multi_char_vector, squeeze(characteristic_vector (:,i)));
   
   multi_equality_constraints = blkdiag(multi_equality_constraints,squeeze(equality_constraints_matrices (i,:,:)));
   
   multi_equality_vector = vertcat (multi_equality_vector, squeeze(equality_constraints_vector (:,i)));
    
end

[output_1,output_2,output_3,output_4] = construct_matrices_empty (players,players, coalitions, issues, coalitions_matrix, characteristic_matrix);

multi_relevant_coalitions = blkdiag(multi_relevant_coalitions, output_1);
   
multi_char_vector = vertcat (multi_char_vector, output_2);
   
temp = -eye(players);

for i=2:issues
    
    temp = horzcat(temp,-eye(players));
    
end

temp = vertcat (temp,zeros(issues,players*issues));

equality_temp = repmat (temp,(players-1),1);

multi_equality_constraints = horzcat(multi_equality_constraints,equality_temp);

temp2 = zeros (issues,(players-1)*players*issues);

temp2 = horzcat (temp2, output_3);

multi_equality_constraints = vertcat(multi_equality_constraints,temp2);

multi_equality_vector = vertcat (multi_equality_vector, output_4);

options = optimset('Display','off','Algorithm','active-set');

initial_justification_vector = ones(players*players*issues,1);

for k=1:players

    for j=1:issues
    
        for i=1:players
        
            initial_justification_vector((k-1)*players*issues+(j-1)*players+i,1) = (characteristic_matrix(coalitions,j))/players;
            
        end
        
    end

end

[justification_vector,~,exitflag] = fmincon(@(justification_vector)objective_coefficients'*justification_vector,initial_justification_vector,[],[],multi_equality_constraints,multi_equality_vector,[],[],@(justification_vector)non_linear_3a (justification_vector, players, coalitions, issues, coalitions_matrix, characteristic_matrix),options);

if (exitflag==1 || exitflag==4 || exitflag==5)
    
    justify = 1;

elseif exitflag==-2
    
    justify = 0;
    
else
    
    s1 = 'Something went wrong. The exit flag value was';

    s2=num2str(exitflag);
    
    display_string = strcat(s1, 32, s2);
        
    disp(display_string);
    
end
        
    
    

