function [players, coalitions, issues, coalitions_matrix, characteristic_matrix] = get_multi_game ()

players_string = '';

while isempty(players_string) 
    
    players_string = input('How many players? ', 's');
    
end

players = str2double(players_string);

coalitions = 2^players-1;

coalitions_matrix=zeros(coalitions,players);

% First, we construct a matrix that indicator vectors as rows, order from 
% the highest binary number to the lowest binary number 
temp_coalitions_matrix=(double(dec2bin(0:coalitions,players))==48);

coalitions_matrix_counter = 1;

% coalition_matrix is the matrix of indicator vectors ordered by size and 
% then by the participating members (the leftmost column stands for
% Player 1)
for n=1:players
    
    for i=1:coalitions
        
        if sum(temp_coalitions_matrix(i,:))==n
            
            coalitions_matrix(coalitions_matrix_counter,:) = temp_coalitions_matrix(i,:);
            
            coalitions_matrix_counter = coalitions_matrix_counter + 1;
            
        end
        
    end
    
end 

issues_string = '';

while isempty(issues_string) 
    
    issues_string = input('How many issues? ', 's');
    
end

issues = str2double(issues_string);

characteristic_matrix = zeros(coalitions,issues);

s1 = 'For issue number';

s3 = 'what is the value of the coalition that includes';

s5 = '?';

for j=1:issues
    
    s2 = num2str(j);
    
    for i=1:coalitions
        
        value_string = '';
        
        if sum(coalitions_matrix(i,:))==1
            
            for k=1:players
        
                if coalitions_matrix(i,k)==1;
                
                    s4 = strcat('Player', 32,num2str(k));
                
                end
            
            end
            
        else

            s4='players';
                        
            members_counter = 1;
            
            for k=1:players
            
                if coalitions_matrix(i,k)==1
                    
                    if sum(coalitions_matrix(i,:))== members_counter
                
                        s4 = strcat(s4, 32,'and', 32,num2str(k));
                        
                    elseif members_counter == 1
                
                        s4 = strcat(s4, 32,num2str(k));
                        
                    else
                        
                        s4 = strcat(s4,',', 32,num2str(k));
                        
                    end
                    
                    members_counter = members_counter + 1;
                
                end
            
            end 
            
        end
        
        question = strcat(s1, 32, s2, 32, s3, 32, s4, 32, s5, 32);
        
        while isempty(value_string) 
            
            value_string = input(question, 's');
            
        end
        
        characteristic_matrix(i,j) = str2num(value_string);
        
    end
    
end