function [answer] = is_individual_cores (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector)

objective_coefficients = zeros(players*issues,1);

objective_coefficients(1,1) = 1;

characteristic_vector = reshape(characteristic_matrix,coalitions*issues,1);

adjusted_coalitions_matrix=coalitions_matrix;

for j=2:issues
    
    adjusted_coalitions_matrix=blkdiag(adjusted_coalitions_matrix,coalitions_matrix);
    
end

equality_constraints_vector = [aggregate_payoff_vector;(characteristic_matrix(coalitions,:))'];

equality_constraints_matrix =  eye(players);

for i=2:issues
    
    equality_constraints_matrix = horzcat(equality_constraints_matrix,eye(players));
    
end

efficiency_matrix = zeros(issues,players*issues);

for j=1:issues
    
    efficiency_matrix (j,(j-1)*players+1:j*players) = ones(1,players)';
    
end

equality_constraints_matrix = vertcat(equality_constraints_matrix,efficiency_matrix);

options = optimset('Display','off');

[decomposition_vector,~,exitflag] = linprog(objective_coefficients,-adjusted_coalitions_matrix,-characteristic_vector,equality_constraints_matrix,equality_constraints_vector,[],[],[],options);

if exitflag==1
    
    answer = 1;

    individual_core_matrix = reshape(decomposition_vector,players,issues);
    
    s4 = 'The suggested vector is a sum of vectors in the core of the individual issues';

    display_string = strcat(s4);
        
    disp (display_string);
        
    for i=1:issues
    
            s5 = 'A vector in the core of issue';
        
            s6 = num2str(i);
    
            s7 = ':';
    
            display_string = strcat(s5, 32, s6, s7);
        
            disp (display_string);
        
            disp (individual_core_matrix (:,i));
    
    end

elseif exitflag==-2
    
    answer = 0;
    
    disp ('The suggested vector cannot be decomposed to members of the individual cores.');
    
else
    
    s1 = 'Something went wrong in the calculation of the core of the individual games';

    s2 = '. The exit flag value was';
    
    s3=num2str(exitflag);
    
    display_string = strcat(s1, s2, 32, s3);
        
    error(0, display_string);
    
end







