function [answer] = is_mod1_multi_core (players, coalitions, issues, coalitions_matrix, characteristic_matrix, aggregate_payoff_vector)

justification_array = zeros (players,issues,players);

[justify,justification_vector] = find_comp_justification (players, coalitions, issues, coalitions_matrix, characteristic_matrix,aggregate_payoff_vector);
    
if justify == 0
        
        s1 = 'The suggested vector is not in the compatible multi core (Modification 1).';
        
        display_string = strcat(s1);
        
        disp (display_string);
        
        answer = 0;
        
        return
        
else
        
    for i=1:players
        
        player_index = (i-1)*players*issues ;
        
        for j=1:issues
            
            issue_index = player_index + (j-1)*players ;
            
            for k=1:players
                
                index = issue_index + k ;
                
                justification_array(i,j,k) = justification_vector(index);
                
            end
            
        end
        
    end
    
answer = 1;

s4 = 'The suggested vector is in the compatible multi core (Modification 1).';

display_string = strcat(s4);
        
disp (display_string);
        
for i=1:players
    
        s5 = 'A justification matrix for Player';
        
        s6 = num2str(i);
    
        s7 = ':';
    
        display_string = strcat(s5, 32, s6, s7);
        
        disp (display_string);
        
        just = zeros (players,issues);
        
        for j=1:players
            
            for k=1:issues
                
                just(j,k) = justification_array(i,k,j);
                
            end
            
        end
        
        disp (just);
    
end

end







